Spaces method and path for this operation:
put /s/{space_id}/api/security/entity_store/stop
Refer to Spaces for more information.
Stop running entity engines, pausing data processing for the specified entity types.
[Required authorization] Route required privileges: securitySolution.
PUT
/api/security/entity_store/stop
curl
curl -X PUT -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: application/json" \
-d '{"entityTypes":["user","host","service","generic"]}' \
"${KIBANA_URL}/api/security/entity_store/stop"
PUT kbn://api/security/entity_store/stop
{
"entityTypes": ["user", "host", "service", "generic"]
}
Request example
Stop all running entity engines.
{
"entityTypes": [
"user",
"host",
"service",
"generic"
]
}
Response examples (200)
The specified entity engines were successfully stopped.
{
"ok": true
}